PHP Manual
Prev |  | Next

# date_default_timezone_get

(PHP 5 >= 5.1.0RC1)

date_default_timezone_get -- Gets the default timezone used by all date/time functions in a script

## Description

string date_default_timezone_get ( void )

This functions returns the default timezone, using the following "guess" order:

- The timezone set using the date_default_timezone_set() function (if any)

- The TZ environment variable (if non empty)

- The date.timezone ini option (if set)

- "magical" guess (if the operating system supports it)

- If none of the above options succeeds, return UTC

## Return Values

Returns a string.

## See Also

date_default_timezone_set()

Prev | Home | Next
checkdate | Up | date_default_timezone_set